# Struct ethcore_util::trie::standardmap::StandardMap [−] [src]

    pub struct StandardMap {
        pub alphabet: Alphabet,
        pub min_key: usize,
        pub journal_key: usize,
        pub value_mode: ValueMode,
        pub count: usize,
    }

Standard test map for profiling tries.

## Fields

`alphabet: Alphabet`

The alphabet to use for keys.

`min_key: usize`

Minimum size of key.

`journal_key: usize`

Delta size of key.

`value_mode: ValueMode`

Mode of value generation.

`count: usize`

Number of keys.

## Methods

### `impl StandardMap`
[src]

#### `fn make(&self) -> Vec<(Bytes, Bytes)>`

Create the standard map (set of keys and values) for the object's fields.

#### `fn make_with(&self, seed: &mut H256) -> Vec<(Bytes, Bytes)>`

Create the standard map (set of keys and values) for the object's fields, using the given seed.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)